---
title: llarp::quic::StreamID

---

# llarp::quic::StreamID





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[operator==](Classes/structllarp_1_1quic_1_1StreamID.md#function-operator==)**(const [StreamID](Classes/structllarp_1_1quic_1_1StreamID.md) & s) const |
| bool | **[operator!=](Classes/structllarp_1_1quic_1_1StreamID.md#function-operator!=)**(const [StreamID](Classes/structllarp_1_1quic_1_1StreamID.md) & s) const |
| bool | **[operator<](Classes/structllarp_1_1quic_1_1StreamID.md#function-operator<)**(const [StreamID](Classes/structllarp_1_1quic_1_1StreamID.md) & s) const |
| bool | **[operator<=](Classes/structllarp_1_1quic_1_1StreamID.md#function-operator<=)**(const [StreamID](Classes/structllarp_1_1quic_1_1StreamID.md) & s) const |
| bool | **[operator>](Classes/structllarp_1_1quic_1_1StreamID.md#function-operator>)**(const [StreamID](Classes/structllarp_1_1quic_1_1StreamID.md) & s) const |
| bool | **[operator>=](Classes/structllarp_1_1quic_1_1StreamID.md#function-operator>=)**(const [StreamID](Classes/structllarp_1_1quic_1_1StreamID.md) & s) const |
| std::string | **[ToString](Classes/structllarp_1_1quic_1_1StreamID.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| int64_t | **[id](Classes/structllarp_1_1quic_1_1StreamID.md#variable-id)**  |

## Public Functions Documentation

### function operator==

```cpp
inline bool operator==(
    const StreamID & s
) const
```


### function operator!=

```cpp
inline bool operator!=(
    const StreamID & s
) const
```


### function operator<

```cpp
inline bool operator<(
    const StreamID & s
) const
```


### function operator<=

```cpp
inline bool operator<=(
    const StreamID & s
) const
```


### function operator>

```cpp
inline bool operator>(
    const StreamID & s
) const
```


### function operator>=

```cpp
inline bool operator>=(
    const StreamID & s
) const
```


### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable id

```cpp
int64_t id {-1};
```


-------------------------------

Updated on 2024-11-10 at 05:10:02 +0000